using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using System.Threading;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;

//--Change Management Control - Business Service Class  --**********************
//--Created By: trooks
//--Description: Business Service Class
//--Created Date: 03/07/2013 10:40:26
//--*************************************************************

namespace T2.WebSecurity.Business
{
	public partial interface IBusinessService 
	{
		String ValidationErrors { get; set; }
	IDictionary<string, int> UserProfileController_Set(IUserProfile_biz _param); 
		List<IUserProfile_biz> UserProfileController_Get(IUserProfile_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IUserProfile_biz> UserProfileController_Search(IUserProfileSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> MembershipController_Set(IMembership_biz _param); 
		List<IMembership_biz> MembershipController_Get(IMembership_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IMembership_biz> MembershipController_Search(IMembershipSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> OAuthMembershipController_Set(IOAuthMembership_biz _param); 
		List<IOAuthMembership_biz> OAuthMembershipController_Get(IOAuthMembership_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IOAuthMembership_biz> OAuthMembershipController_Search(IOAuthMembershipSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> ApplicationRolesController_Set(IApplicationRoles_biz _param); 
		List<IApplicationRoles_biz> ApplicationRolesController_Get(IApplicationRoles_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IApplicationRoles_biz> ApplicationRolesController_Search(IApplicationRolesSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> UsersInRolesController_Set(IUsersInRoles_biz _param); 
		List<IUsersInRoles_biz> UsersInRolesController_Get(IUsersInRoles_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IUsersInRoles_biz> UsersInRolesController_Search(IUsersInRolesSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> ApplicationController_Set(IApplication_biz _param); 
		List<IApplication_biz> ApplicationController_Get(IApplication_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IApplication_biz> ApplicationController_Search(IApplicationSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> PasswordQuestionController_Set(IPasswordQuestion_biz _param); 
		List<IPasswordQuestion_biz> PasswordQuestionController_Get(IPasswordQuestion_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IPasswordQuestion_biz> PasswordQuestionController_Search(IPasswordQuestionSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> UserProfileDataController_Set(IUserProfileData_biz _param); 
		List<IUserProfileData_biz> UserProfileDataController_Get(IUserProfileData_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IUserProfileData_biz> UserProfileDataController_Search(IUserProfileDataSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> ApplicationUserController_Set(IApplicationUser_biz _param); 
		List<IApplicationUser_biz> ApplicationUserController_Get(IApplicationUser_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IApplicationUser_biz> ApplicationUserController_Search(IApplicationUserSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> ApplicationProfileDataController_Set(IApplicationProfileData_biz _param); 
		List<IApplicationProfileData_biz> ApplicationProfileDataController_Get(IApplicationProfileData_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IApplicationProfileData_biz> ApplicationProfileDataController_Search(IApplicationProfileDataSearch_biz _param, Boolean buildUp, Boolean buildDown); 
		IDictionary<string, int> DomainNameController_Set(IDomainName_biz _param); 
		List<IDomainName_biz> DomainNameController_Get(IDomainName_biz _param, Boolean buildUp, Boolean buildDown); 
		List<IDomainName_biz> DomainNameController_Search(IDomainNameSearch_biz _param, Boolean buildUp, Boolean buildDown);

        
	}
}