using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_Application_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IApplication_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IApplicationSearch_biz> SearchParam { get; set; }
		private IApplicationSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IApplication_biz[] tempReturn = Application_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IApplication_biz[] Application_Search(IApplicationSearch_biz param)
		{
			try
			{
				List<IApplication_biz> retVal = bs.ApplicationController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
