using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_ApplicationRoles_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IApplicationRoles_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IApplicationRolesSearch_biz> SearchParam { get; set; }
		private IApplicationRolesSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IApplicationRoles_biz[] tempReturn = ApplicationRoles_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IApplicationRoles_biz[] ApplicationRoles_Search(IApplicationRolesSearch_biz param)
		{
			try
			{
				List<IApplicationRoles_biz> retVal = bs.ApplicationRolesController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
