using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_DomainName_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IDomainName_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IDomainNameSearch_biz> SearchParam { get; set; }
		private IDomainNameSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IDomainName_biz[] tempReturn = DomainName_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IDomainName_biz[] DomainName_Search(IDomainNameSearch_biz param)
		{
			try
			{
				List<IDomainName_biz> retVal = bs.DomainNameController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
