using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_UserProfile_Membership_ByParent : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IMembership_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<Int32> UserId { get; set; }
		private Int32 userid ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			userid = context.GetValue(UserId); 
			IMembership_biz[] tempReturn = UserProfile_Membership_ByParent();
			context.SetValue(RetVal, tempReturn);
		}
		public IMembership_biz[] UserProfile_Membership_ByParent()
		{
			try
			{
				IMembership_biz param = new Membership_biz();
				param.Action = "GetAll";
				param.PageNumber = 1;
				param.PageSize = 999999;
				param.SortColumn = "MembershipID" ;
				param.SortType = "asc";
				param.UserId = userid ;
				List<IMembership_biz> retVal = bs.MembershipController_Get(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
