using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;

namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_OAuthMembership_Add : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IDictionary<string, int>> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IOAuthMembership_biz> AddParam { get; set; }
		private IOAuthMembership_biz addParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			addParam = context.GetValue(AddParam);
			IDictionary<string, int> tempReturn = bs.OAuthMembershipController_Set(addParam);
			context.SetValue(RetVal, tempReturn);
		}
	}
}
