using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;

namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_OAuthMembership_Modify : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IDictionary<string, int>> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IOAuthMembership_biz> ModifyParam { get; set; }
		private IOAuthMembership_biz modifyParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			modifyParam = context.GetValue(ModifyParam);
			IDictionary<string, int> tempReturn = bs.OAuthMembershipController_Set(modifyParam);
			context.SetValue(RetVal, tempReturn);
		}
	}
}
