using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_PasswordQuestion_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IPasswordQuestion_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IPasswordQuestionSearch_biz> SearchParam { get; set; }
		private IPasswordQuestionSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IPasswordQuestion_biz[] tempReturn = PasswordQuestion_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IPasswordQuestion_biz[] PasswordQuestion_Search(IPasswordQuestionSearch_biz param)
		{
			try
			{
				List<IPasswordQuestion_biz> retVal = bs.PasswordQuestionController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
