using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_UserProfile_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IUserProfile_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IUserProfileSearch_biz> SearchParam { get; set; }
		private IUserProfileSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IUserProfile_biz[] tempReturn = UserProfile_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IUserProfile_biz[] UserProfile_Search(IUserProfileSearch_biz param)
		{
			try
			{
				List<IUserProfile_biz> retVal = bs.UserProfileController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
