
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Controllers.Interfaces;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Translators;


//--Change Management Control - PasswordQuestion Command  --**********************
//--Created By: trooks
//--Description: PasswordQuestion Command Class
//--Created Date: 03/07/2013 10:47:54
//--*************************************************************

namespace T2.WebSecurity.Business.Commands
{
	public partial class PasswordQuestion_Command 
	{
		public IDictionary<string, int> Execute (IPasswordQuestion_biz _param)
		{
			IDictionary<string, int> r = new Dictionary<string, int>();
			IPasswordQuestionController temp = new T2.WebSecurity.Data.Controllers.PasswordQuestionController();
			switch (_param.Action.ToString())
			{
				case "Add":
					r = temp.PasswordQuestion_Add(PasswordQuestionTranslator.TranslateToDataLayer(_param));
					break;

				case "Update":
					r = temp.PasswordQuestion_Modify(PasswordQuestionTranslator.TranslateToDataLayer(_param));
					break;

				case "Remove":
					r = temp.PasswordQuestion_Remove(PasswordQuestionTranslator.TranslateToDataLayer(_param));
					break;

			}
			//var ret = r.ToList().Select(s  => new {Key=s.Key, Value = s.Value}) ;
			//var retVal = ret.Where(z => z.Key == "Return_Value").Select(m => m.Value);
			return r;
		}
	}
}