
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;


namespace T2.WebSecurity.Data.Controllers.Interfaces
{
	public interface IUserProfileController
	{
		IDictionary<string,Int32> UserProfile_Add(IUserProfile  _userprofile);
		IDictionary<string,Int32> UserProfile_Modify(IUserProfile  _userprofile);
		IDictionary<string,Int32> UserProfile_Remove(IUserProfile  _userprofile);
		IUserProfile UserProfile_GetOne(IUserProfile  _userprofile);
		List<IUserProfile> UserProfile_GetAll(IUserProfile _userprofile);
		List<IUserProfile> UserProfile_Search(IUserProfileSearch _userprofile);
	
	
	
	}
	
	
}
