
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using T2.WebSecurity.ASPMVC.Entity.Interface;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Common;

namespace T2.WebSecurity.ASPMVC.Entity
{
	public partial class Membership_ui : IMembership_ui
	{
	    public String Action { get; set; }
        public String Caller { get; set; }
        public String Role { get; set; }
        public Int32 PageSize { get; set; }
        public Int32 PageNumber { get; set; }
        public String SortColumn { get; set; }
        public String SortType { get; set; }
        public Int32 TotalRows { get; set; }
	public Int32 MembershipID {get;set;}
			public String ConfirmationToken {get;set;}
			public Boolean IsConfirmed {get;set;}
			public DateTime LastPasswordFailureDate {get;set;}
			public Int32 PasswordFailuresSinceLastSuccess {get;set;}
			public String Password {get;set;}
			public DateTime PasswordChangedDate {get;set;}
			public String PasswordSalt {get;set;}
			public String PasswordVerificationToken {get;set;}
			public DateTime PasswordVerificationTokenExpirationDate {get;set;}
			public String TS {get;set;}
			public String CreatedBy {get;set;}
			public DateTime CreatedDt {get;set;}
			public String ModifiedBy {get;set;}
			public DateTime ModifiedDt {get;set;}
			public String EmailAccount {get;set;}
			public String PasswordAnswer {get;set;}
			public DateTime LastLoginDate {get;set;}
			public DateTime LastLockoutDate {get;set;}
			public Int32 UserId {get;set;}
			public Int32 PasswordQuestionID {get;set;}
			public IUserProfile_ui UserProfile {get;set;}
			public IPasswordQuestion_ui PasswordQuestion {get;set;}
    }
}