
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using T2.WebSecurity.ASPMVC.Entity.Interface;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Common;

namespace T2.WebSecurity.ASPMVC.Entity
{
	public partial class UserProfile_ui : IUserProfile_ui
	{
	    public String Action { get; set; }
        public String Caller { get; set; }
        public String Role { get; set; }
        public Int32 PageSize { get; set; }
        public Int32 PageNumber { get; set; }
        public String SortColumn { get; set; }
        public String SortType { get; set; }
        public Int32 TotalRows { get; set; }
	public Int32 UserId {get;set;}
			public String UserName {get;set;}
			public String TS {get;set;}
			public String CreatedBy {get;set;}
			public DateTime CreatedDt {get;set;}
			public String ModifiedBy {get;set;}
			public DateTime ModifiedDt {get;set;}
			public Boolean IsActive {get;set;}
			public String FirstName {get;set;}
			public String LastName {get;set;}
			public String Address {get;set;}
			public String City {get;set;}
			public String Region {get;set;}
			public String PostalCode {get;set;}
			public String OfficePhone {get;set;}
			public String CellPhone {get;set;}
			public String Title {get;set;}
			public List<IMembership_ui> Membership {get;set;}
			public List<IOAuthMembership_ui> OAuthMembership {get;set;}
			public List<IUsersInRoles_ui> UsersInRoles {get;set;}
			public List<IUserProfileData_ui> UserProfileData {get;set;}
			public List<IApplicationUser_ui> ApplicationUser {get;set;}
    }
}