using System;
using System.Collections.Generic;
using System.Text;


namespace T2.WebSecurity.ASPMVC.Entity.Interface
{
	public partial interface IUserProfile_ui 
	{
		
	    String Action { get; set; }
        String Caller { get; set; }
        String Role { get; set; }
        Int32 PageSize { get; set; }
        Int32 PageNumber { get; set; }
        String SortColumn { get; set; }
        String SortType { get; set; }
        Int32 TotalRows { get; set; }
		Int32 UserId {get;set;}
			String UserName {get;set;}
			String TS {get;set;}
			String CreatedBy {get;set;}
			DateTime CreatedDt {get;set;}
			String ModifiedBy {get;set;}
			DateTime ModifiedDt {get;set;}
			Boolean IsActive {get;set;}
			String FirstName {get;set;}
			String LastName {get;set;}
			String Address {get;set;}
			String City {get;set;}
			String Region {get;set;}
			String PostalCode {get;set;}
			String OfficePhone {get;set;}
			String CellPhone {get;set;}
			String Title {get;set;}
			List<IMembership_ui> Membership {get;set;}
			List<IOAuthMembership_ui> OAuthMembership {get;set;}
			List<IUsersInRoles_ui> UsersInRoles {get;set;}
			List<IUserProfileData_ui> UserProfileData {get;set;}
			List<IApplicationUser_ui> ApplicationUser {get;set;}
		
	}

}