
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;


//--Change Management Control - UserProfile Interface  --**********************
//--Created By: trooks
//--Description: UserProfile Interface
//--Created Date: 03/07/2013 10:40:28
//--*************************************************************

namespace T2.WebSecurity.Business.Entities.Interfaces
{
	public partial interface IUserProfile_biz
	{
        String Action { get; set; }
        String Caller { get; set; }
        String Role { get; set; }
        Int32 PageSize { get; set; }
        Int32 PageNumber { get; set; }
        String SortColumn { get; set; }
        String SortType { get; set; }
        Int32 TotalRows { get; set; }
		Int32 UserId{get;set;}
		String UserName{get;set;}
		Byte[] TS{get;set;}
		String CreatedBy{get;set;}
		DateTime CreatedDt{get;set;}
		String ModifiedBy{get;set;}
		DateTime ModifiedDt{get;set;}
		Boolean IsActive{get;set;}
		String FirstName{get;set;}
		String LastName{get;set;}
		String Address{get;set;}
		String City{get;set;}
		String Region{get;set;}
		String PostalCode{get;set;}
		String OfficePhone{get;set;}
		String CellPhone{get;set;}
		String Title{get;set;}
		List<IMembership_biz> Membership_List {get;set;}
		List<IOAuthMembership_biz> OAuthMembership_List {get;set;}
		List<IUsersInRoles_biz> UsersInRoles_List {get;set;}
		List<IUserProfileData_biz> UserProfileData_List {get;set;}
		List<IApplicationUser_biz> ApplicationUser_List {get;set;}
	}
}