using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Common;

//--Change Management Control - Membership Interface  --**********************
//--Created By: trooks
//--Description: Membership Interface
//--Created Date: 03/07/2013 10:40:29
//--*************************************************************

namespace T2.WebSecurity.Business.Entities
{

    public partial class Membership_biz : EntityBase, IMembership_biz
	{
		public Int32 MembershipID{get;set;}
		public String ConfirmationToken{get;set;}
		public Boolean IsConfirmed{get;set;}
		public DateTime LastPasswordFailureDate{get;set;}
		public Int32 PasswordFailuresSinceLastSuccess{get;set;}
		public String Password{get;set;}
		public DateTime PasswordChangedDate{get;set;}
		public String PasswordSalt{get;set;}
		public String PasswordVerificationToken{get;set;}
		public DateTime PasswordVerificationTokenExpirationDate{get;set;}
		public Byte[] TS{get;set;}
		public String CreatedBy{get;set;}
		public DateTime CreatedDt{get;set;}
		public String ModifiedBy{get;set;}
		public DateTime ModifiedDt{get;set;}
		public String EmailAccount{get;set;}
		public String PasswordAnswer{get;set;}
		public DateTime LastLoginDate{get;set;}
		public DateTime LastLockoutDate{get;set;}
		public Int32 UserId{get;set;}
		public Int32 PasswordQuestionID{get;set;}
		public IUserProfile_biz UserProfile{get;set;}
		public IPasswordQuestion_biz PasswordQuestion{get;set;}
	}
}