using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Common;

//--Change Management Control - UserProfile Interface  --**********************
//--Created By: trooks
//--Description: UserProfile Interface
//--Created Date: 03/07/2013 10:40:28
//--*************************************************************

namespace T2.WebSecurity.Business.Entities
{

    public partial class UserProfile_biz : EntityBase, IUserProfile_biz
	{
		public Int32 UserId{get;set;}
		public String UserName{get;set;}
		public Byte[] TS{get;set;}
		public String CreatedBy{get;set;}
		public DateTime CreatedDt{get;set;}
		public String ModifiedBy{get;set;}
		public DateTime ModifiedDt{get;set;}
		public Boolean IsActive{get;set;}
		public String FirstName{get;set;}
		public String LastName{get;set;}
		public String Address{get;set;}
		public String City{get;set;}
		public String Region{get;set;}
		public String PostalCode{get;set;}
		public String OfficePhone{get;set;}
		public String CellPhone{get;set;}
		public String Title{get;set;}
		public List<IMembership_biz> Membership_List {get;set;}
		public List<IOAuthMembership_biz> OAuthMembership_List {get;set;}
		public List<IUsersInRoles_biz> UsersInRoles_List {get;set;}
		public List<IUserProfileData_biz> UserProfileData_List {get;set;}
		public List<IApplicationUser_biz> ApplicationUser_List {get;set;}
	}
}