using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_ApplicationProfileData_GetAll : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IApplicationProfileData_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			IApplicationProfileData_biz[] tempReturn = ApplicationProfileData_GetAll();
			context.SetValue(RetVal, tempReturn);
		}
		public IApplicationProfileData_biz[] ApplicationProfileData_GetAll()
		{
			try
			{
				IApplicationProfileData_biz param = new ApplicationProfileData_biz();
				param.Action = "GetAll";
				param.PageNumber = 1;
				param.PageSize = 999999;
				param.SortColumn = "ApplicationProfileDataID" ;
				param.SortType = "asc";
				List<IApplicationProfileData_biz> retVal = bs.ApplicationProfileDataController_Get(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
