using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_Membership_GetOne : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IMembership_biz> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<Int32> MembershipID { get; set; }
		private Int32 membershipid ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			membershipid = context.GetValue(MembershipID); 
			IMembership_biz tempReturn = Membership_GetOne();
			context.SetValue(RetVal, tempReturn);
		}
		public IMembership_biz Membership_GetOne()
		{
			try
			{
				IMembership_biz param = new Membership_biz();
				param.Action = "GetAll";
				param.PageNumber = 1;
				param.PageSize = 999999;
				param.SortColumn = "MembershipID" ;
				param.SortType = "asc";
				param.MembershipID = membershipid ;
				List<IMembership_biz> retVal = bs.MembershipController_Get(param, true, true);
				return retVal.FirstOrDefault();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
