using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_Membership_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IMembership_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IMembershipSearch_biz> SearchParam { get; set; }
		private IMembershipSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IMembership_biz[] tempReturn = Membership_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IMembership_biz[] Membership_Search(IMembershipSearch_biz param)
		{
			try
			{
				List<IMembership_biz> retVal = bs.MembershipController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
