using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_OAuthMembership_Search : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IOAuthMembership_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<IOAuthMembershipSearch_biz> SearchParam { get; set; }
		private IOAuthMembershipSearch_biz searchParam ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			searchParam = context.GetValue(SearchParam);
			IOAuthMembership_biz[] tempReturn = OAuthMembership_Search(searchParam);
			context.SetValue(RetVal, tempReturn);
		}
		public IOAuthMembership_biz[] OAuthMembership_Search(IOAuthMembershipSearch_biz param)
		{
			try
			{
				List<IOAuthMembership_biz> retVal = bs.OAuthMembershipController_Search(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
