using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_UserProfile_GetAll : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IUserProfile_biz[]> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			IUserProfile_biz[] tempReturn = UserProfile_GetAll();
			context.SetValue(RetVal, tempReturn);
		}
		public IUserProfile_biz[] UserProfile_GetAll()
		{
			try
			{
				IUserProfile_biz param = new UserProfile_biz();
				param.Action = "GetAll";
				param.PageNumber = 1;
				param.PageSize = 999999;
				param.SortColumn = "UserId" ;
				param.SortType = "asc";
				List<IUserProfile_biz> retVal = bs.UserProfileController_Get(param, true, true);
				return retVal.ToArray();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
