using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using T2.WebSecurity.Business;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Business.Entities.Search;
namespace T2.WebSecurity.Business.Workflow.Activites
{
	public sealed class Db_T2_WebSecurity_UserProfileData_GetOne : CodeActivity
	{
		private IBusinessService bs = null;
		public OutArgument<IUserProfileData_biz> RetVal { get; set; }
		public InArgument<IBusinessService> BS {get;set;}
		public InArgument<Int32> UserProfileDataID { get; set; }
		private Int32 userprofiledataid ;
		protected override void Execute(CodeActivityContext context)
		{
			bs = context.GetValue(BS);
			userprofiledataid = context.GetValue(UserProfileDataID); 
			IUserProfileData_biz tempReturn = UserProfileData_GetOne();
			context.SetValue(RetVal, tempReturn);
		}
		public IUserProfileData_biz UserProfileData_GetOne()
		{
			try
			{
				IUserProfileData_biz param = new UserProfileData_biz();
				param.Action = "GetAll";
				param.PageNumber = 1;
				param.PageSize = 999999;
				param.SortColumn = "UserProfileDataID" ;
				param.SortType = "asc";
				param.UserProfileDataID = userprofiledataid ;
				List<IUserProfileData_biz> retVal = bs.UserProfileDataController_Get(param, true, true);
				return retVal.FirstOrDefault();
			}
			catch (Exception ex)
			{
				throw new ApplicationException(ex.Message);
			}
		}
	}
}
