using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Controllers.Interfaces;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Data.Controllers;
using T2.WebSecurity.Business.Builders.Interface;
using T2.WebSecurity.Business.Translators;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;


//--Change Management Control - PasswordQuestion Builder  --**********************
//--Created By: trooks
//--Description: PasswordQuestion Builder Class
//--Created Date: 03/07/2013 10:48:59
//--*************************************************************

namespace T2.WebSecurity.Business.Builders
{
	public partial class PasswordQuestion_Builder : IPasswordQuestion_builder 
	{
		
	public List<IPasswordQuestion_biz> BuildParts (IPasswordQuestion_biz _param)
	{
			IPasswordQuestion_biz temp = new PasswordQuestion_biz();
			IPasswordQuestionController cont = new PasswordQuestionController();
			List<IPasswordQuestion_biz> tempList = new List<IPasswordQuestion_biz>();
			List<IPasswordQuestion> tempData = new List<IPasswordQuestion>();
			switch (_param.Action)
			{
				case "GetOne":
				temp = PasswordQuestionTranslator.TranslateFromDataLayer(cont.PasswordQuestion_GetOne(PasswordQuestionTranslator.TranslateToDataLayer(_param)));
				tempList.Add(temp);
				return tempList;

				case "GetAll":
				tempData = cont.PasswordQuestion_GetAll(PasswordQuestionTranslator.TranslateToDataLayer(_param));
				tempList = tempData.Select(p => PasswordQuestionTranslator.TranslateFromDataLayer(p)).Cast<IPasswordQuestion_biz>().ToList();
				return tempList;

			}
			return tempList;
}
	public List<IPasswordQuestion_biz> BuildParts (IPasswordQuestionSearch_biz _param)
	{
			IPasswordQuestion_biz temp = new PasswordQuestion_biz();
			IPasswordQuestionController cont = new PasswordQuestionController();
			List<IPasswordQuestion_biz> tempList = new List<IPasswordQuestion_biz>();
			List<IPasswordQuestion> tempData = new List<IPasswordQuestion>();
			tempData = cont.PasswordQuestion_Search(PasswordQuestionTranslator.TranslateSearchToDataLayer(_param));
			tempList = tempData.Select(p => PasswordQuestionTranslator.TranslateFromDataLayer(p)).Cast<IPasswordQuestion_biz>().ToList();
			return tempList;

	}
		
	}
}
