
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Controllers.Interfaces;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Translators;


//--Change Management Control - ApplicationRoles Command  --**********************
//--Created By: trooks
//--Description: ApplicationRoles Command Class
//--Created Date: 03/07/2013 10:47:32
//--*************************************************************

namespace T2.WebSecurity.Business.Commands
{
	public partial class ApplicationRoles_Command 
	{
		public IDictionary<string, int> Execute (IApplicationRoles_biz _param)
		{
			IDictionary<string, int> r = new Dictionary<string, int>();
			IApplicationRolesController temp = new T2.WebSecurity.Data.Controllers.ApplicationRolesController();
			switch (_param.Action.ToString())
			{
				case "Add":
					r = temp.ApplicationRoles_Add(ApplicationRolesTranslator.TranslateToDataLayer(_param));
					break;

				case "Update":
					r = temp.ApplicationRoles_Modify(ApplicationRolesTranslator.TranslateToDataLayer(_param));
					break;

				case "Remove":
					r = temp.ApplicationRoles_Remove(ApplicationRolesTranslator.TranslateToDataLayer(_param));
					break;

			}
			//var ret = r.ToList().Select(s  => new {Key=s.Key, Value = s.Value}) ;
			//var retVal = ret.Where(z => z.Key == "Return_Value").Select(m => m.Value);
			return r;
		}
	}
}