
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Controllers.Interfaces;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Translators;


//--Change Management Control - Membership Command  --**********************
//--Created By: trooks
//--Description: Membership Command Class
//--Created Date: 03/07/2013 10:47:20
//--*************************************************************

namespace T2.WebSecurity.Business.Commands
{
	public partial class Membership_Command 
	{
		public IDictionary<string, int> Execute (IMembership_biz _param)
		{
			IDictionary<string, int> r = new Dictionary<string, int>();
			IMembershipController temp = new T2.WebSecurity.Data.Controllers.MembershipController();
			switch (_param.Action.ToString())
			{
				case "Add":
					r = temp.Membership_Add(MembershipTranslator.TranslateToDataLayer(_param));
					break;

				case "Update":
					r = temp.Membership_Modify(MembershipTranslator.TranslateToDataLayer(_param));
					break;

				case "Remove":
					r = temp.Membership_Remove(MembershipTranslator.TranslateToDataLayer(_param));
					break;

			}
			//var ret = r.ToList().Select(s  => new {Key=s.Key, Value = s.Value}) ;
			//var retVal = ret.Where(z => z.Key == "Return_Value").Select(m => m.Value);
			return r;
		}
	}
}