using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Data.Entities;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search;


//--Change Management Control - ApplicationUser Business Translator  --**********************
//--Created By: trooks
//--Description: ApplicationUser Translator
//--Created Date: 03/07/2013 10:49:13
//--*************************************************************

namespace T2.WebSecurity.Business.Translators
{
	public static class ApplicationUserTranslator 
	{
		public static IApplicationUser TranslateToDataLayer(IApplicationUser_biz _translateFrom)
        {
            IApplicationUser temp = new ApplicationUser();

		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.ApplicationUserID = _translateFrom.ApplicationUserID;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			temp.UserId = _translateFrom.UserId;
			temp.ApplicationID = _translateFrom.ApplicationID;
			}
            return temp;
        }
		
		public static IApplicationUserSearch TranslateSearchToDataLayer(IApplicationUserSearch_biz _translateFrom)
        {
            IApplicationUserSearch temp = new ApplicationUserSearch();
		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			}
            return temp;
        }

        public static IApplicationUser_biz TranslateFromDataLayer(IApplicationUser _translateFrom)
        {
            IApplicationUser_biz temp = new ApplicationUser_biz();
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.ApplicationUserID = _translateFrom.ApplicationUserID;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			temp.UserId = _translateFrom.UserId;
			temp.ApplicationID = _translateFrom.ApplicationID;
			}
            return temp;
        
        }
	
	}
	
}
