using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Data.Entities;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search;


//--Change Management Control - PasswordQuestion Business Translator  --**********************
//--Created By: trooks
//--Description: PasswordQuestion Translator
//--Created Date: 03/07/2013 10:49:04
//--*************************************************************

namespace T2.WebSecurity.Business.Translators
{
	public static class PasswordQuestionTranslator 
	{
		public static IPasswordQuestion TranslateToDataLayer(IPasswordQuestion_biz _translateFrom)
        {
            IPasswordQuestion temp = new PasswordQuestion();

		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.PasswordQuestionID = _translateFrom.PasswordQuestionID;
			temp.PasswordQuestionDesc = _translateFrom.PasswordQuestionDesc;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			}
            return temp;
        }
		
		public static IPasswordQuestionSearch TranslateSearchToDataLayer(IPasswordQuestionSearch_biz _translateFrom)
        {
            IPasswordQuestionSearch temp = new PasswordQuestionSearch();
		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.PasswordQuestionDesc = _translateFrom.PasswordQuestionDesc;
			}
            return temp;
        }

        public static IPasswordQuestion_biz TranslateFromDataLayer(IPasswordQuestion _translateFrom)
        {
            IPasswordQuestion_biz temp = new PasswordQuestion_biz();
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.PasswordQuestionID = _translateFrom.PasswordQuestionID;
			temp.PasswordQuestionDesc = _translateFrom.PasswordQuestionDesc;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			}
            return temp;
        
        }
	
	}
	
}
