using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Data.Entities;
using T2.WebSecurity.Business.Entities.Interfaces;
using T2.WebSecurity.Business.Entities;
using T2.WebSecurity.Business.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;
using T2.WebSecurity.Data.Entities.Search;


//--Change Management Control - UserProfileData Business Translator  --**********************
//--Created By: trooks
//--Description: UserProfileData Translator
//--Created Date: 03/07/2013 10:49:08
//--*************************************************************

namespace T2.WebSecurity.Business.Translators
{
	public static class UserProfileDataTranslator 
	{
		public static IUserProfileData TranslateToDataLayer(IUserProfileData_biz _translateFrom)
        {
            IUserProfileData temp = new UserProfileData();

		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.UserProfileDataID = _translateFrom.UserProfileDataID;
			temp.UPDName = _translateFrom.UPDName;
			temp.UPDValue = _translateFrom.UPDValue;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			temp.UserId = _translateFrom.UserId;
			}
            return temp;
        }
		
		public static IUserProfileDataSearch TranslateSearchToDataLayer(IUserProfileDataSearch_biz _translateFrom)
        {
            IUserProfileDataSearch temp = new UserProfileDataSearch();
		
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.UPDName = _translateFrom.UPDName;
			temp.UPDValue = _translateFrom.UPDValue;
			}
            return temp;
        }

        public static IUserProfileData_biz TranslateFromDataLayer(IUserProfileData _translateFrom)
        {
            IUserProfileData_biz temp = new UserProfileData_biz();
			if(_translateFrom != null)
			{
			temp.Action = _translateFrom.Action;
			temp.Caller = _translateFrom.Caller;
			temp.Role = _translateFrom.Role;
			temp.PageSize = _translateFrom.PageSize;
			temp.PageNumber = _translateFrom.PageNumber;
			temp.SortColumn = _translateFrom.SortColumn;
			temp.SortType = _translateFrom.SortType;
			temp.TotalRows = _translateFrom.TotalRows;
			temp.UserProfileDataID = _translateFrom.UserProfileDataID;
			temp.UPDName = _translateFrom.UPDName;
			temp.UPDValue = _translateFrom.UPDValue;
			temp.TS = _translateFrom.TS;
			temp.CreatedBy = _translateFrom.CreatedBy;
			temp.CreatedDt = _translateFrom.CreatedDt;
			temp.ModifiedBy = _translateFrom.ModifiedBy;
			temp.ModifiedDt = _translateFrom.ModifiedDt;
			temp.UserId = _translateFrom.UserId;
			}
            return temp;
        
        }
	
	}
	
}
