
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using T2.WebSecurity.Data.Entities.Interfaces;
using T2.WebSecurity.Data.Entities.Search.Interfaces;


namespace T2.WebSecurity.Data.Controllers.Interfaces
{
	public interface IApplicationUserController
	{
		IDictionary<string,Int32> ApplicationUser_Add(IApplicationUser  _applicationuser);
		IDictionary<string,Int32> ApplicationUser_Modify(IApplicationUser  _applicationuser);
		IDictionary<string,Int32> ApplicationUser_Remove(IApplicationUser  _applicationuser);
		IApplicationUser ApplicationUser_GetOne(IApplicationUser  _applicationuser);
		List<IApplicationUser> ApplicationUser_GetAll(IApplicationUser _applicationuser);
		List<IApplicationUser> ApplicationUser_Search(IApplicationUserSearch _applicationuser);
		List<IApplicationUser> UserProfile_ApplicationUser_ByParent(IApplicationUser _applicationuser);
		List<IApplicationUser> Application_ApplicationUser_ByParent(IApplicationUser _applicationuser);
	
	
	
	}
	
	
}
