using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;

namespace T2.WebSecurity.Data.Entities.Interfaces
{
	public partial interface IMembership 
	{
        String Action { get; set; }
        String Caller { get; set; }
        String Role { get; set; }
        Int32 PageSize { get; set; }
        Int32 PageNumber { get; set; }
        String SortColumn { get; set; }
        String SortType { get; set; }
        Int32 TotalRows { get; set; }
		Int32 MembershipID{get;set;}
		String ConfirmationToken{get;set;}
		Boolean IsConfirmed{get;set;}
		DateTime LastPasswordFailureDate{get;set;}
		Int32 PasswordFailuresSinceLastSuccess{get;set;}
		String Password{get;set;}
		DateTime PasswordChangedDate{get;set;}
		String PasswordSalt{get;set;}
		String PasswordVerificationToken{get;set;}
		DateTime PasswordVerificationTokenExpirationDate{get;set;}
		Byte[] TS{get;set;}
		String CreatedBy{get;set;}
		DateTime CreatedDt{get;set;}
		String ModifiedBy{get;set;}
		DateTime ModifiedDt{get;set;}
		String EmailAccount{get;set;}
		String PasswordAnswer{get;set;}
		DateTime LastLoginDate{get;set;}
		DateTime LastLockoutDate{get;set;}
		Int32 UserId{get;set;}
		Int32 PasswordQuestionID{get;set;}
	
	
	}


}