
using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;

namespace T2.WebSecurity.Data.Entities.Search.Interfaces
{
	public partial interface IMembershipSearch
	{
        String Action { get; set; }
        String Caller { get; set; }
        String Role { get; set; }
        Int32 PageSize { get; set; }
        Int32 PageNumber { get; set; }
        String SortColumn { get; set; }
        String SortType { get; set; }
        Int32 TotalRows { get; set; }
		String ConfirmationToken{get;set;}
		DateTime Beg_LastPasswordFailureDate{get;set;}
		DateTime End_LastPasswordFailureDate{get;set;}
		Int32 Beg_PasswordFailuresSinceLastSuccess{get;set;}
		Int32 End_PasswordFailuresSinceLastSuccess{get;set;}
		String Password{get;set;}
		DateTime Beg_PasswordChangedDate{get;set;}
		DateTime End_PasswordChangedDate{get;set;}
		String PasswordSalt{get;set;}
		String PasswordVerificationToken{get;set;}
		DateTime Beg_PasswordVerificationTokenExpirationDate{get;set;}
		DateTime End_PasswordVerificationTokenExpirationDate{get;set;}
		String EmailAccount{get;set;}
		String PasswordAnswer{get;set;}
	
	
	}


}
