/// <reference path="../Scripts/jquery-1.7.1.min.js" />
/// <reference path="../Scripts/knockout-2.1.0.js" />


function ApplicationUserViewModel() {
    var self = this;
    // put a property loop here
    self.ApplicationUserID = ko.observable();
    self.TS = ko.observable();
    self.CreatedBy = ko.observable();
    self.CreatedDt = ko.observable();
    self.ModifiedBy = ko.observable();
    self.ModifiedDt = ko.observable();
    self.UserId = ko.observable();
    self.ApplicationID = ko.observable();
    self.Action = ko.observable();
    self.Caller = ko.observable();
    self.Role = ko.observable();
    self.PageSize = ko.observable();
    self.PageNumber = ko.observable();
    self.SortColumn = ko.observable();
    self.SortType = ko.observable();
    self.TotalRows = ko.observable();

    self.selectedChoice = ko.observableArray([]);
    //self.selectedUser = ko.observableArray([]);
    self.selected = ko.observableArray();
    self.LoadingApplicationUser = ko.observable();

    self.selectedVal = ko.observableArray([]);
    self.selectedVal2 = ko.observableArray([]);

    self.EditingApplicationUser = ko.observable();
    self.selectedItem = ko.observable();
    self.eroleid = ko.observableArray();
    self.selectedUser = ko.observable();
    self.euserid = ko.observableArray();
    self.aroleid = ko.observableArray();
    self.auserid = ko.observableArray();
    self.AddingUsers = ko.observable();

    self.multipleSelectedOptionValues = ko.observableArray([]),

    self.ApplicationUserList = ko.observableArray([]);
    self.setApplicationUser = function (
			ApplicationUserID, TS, CreatedBy, CreatedDt, ModifiedBy, ModifiedDt, UserId, ApplicationID, _Action, _Caller, _Role, _PageNumber, _PageSize, _SortColumn, _SortType, _TotalRows

	) {

        ApplicationUserID = _ApplicationUserID;
        TS = _TS;
        CreatedBy = _CreatedBy;
        CreatedDt = _CreatedDt;
        ModifiedBy = _ModifiedBy;
        ModifiedDt = _ModifiedDt;
        UserId = _UserId;
        ApplicationID = _ApplicationID;
        Action = _Action;
        Caller = _Caller;
        Role = _Role;
        PageSize = _PageSize
        PageNumber = _PageNumber;
        SortColumn = _SortColumn;
        SortType = _SortType;
        TotalRows = _TotalRows;

    }; //  End of set procedure 

//select available  users 
    self.availableUser = function () {
        var self = this;
        //alert('u are in here abalable user');
        this.Action = "GetAll";
        this.Caller = "trooks";
        this.Role = "user";

        jQuery.ajax({
            url: "./api/UserProfileapi/",
            type: 'get',
            data: { Action: self.Action, Caller: self.Caller, Role: self.Role, PageNumber: self.PageNumber, PageSize: self.PageSize, SortColumn: self.SortColumn, SortType: self.SortType },
        }).done(function (data) {
            //self.UserProfileList.removeAll();
            self.euserid.removeAll();
            self.auserid.removeAll();
            $.each(data, function (key, val) {
                self.euserid.push(new userItem(val.UserId, val.UserName));
                self.auserid.push(new userItem(val.UserId, val.UserName));
            })
        });
    };

    //select available  Roles    
    self.availableApplication = function () {
        var self = this;
        self.Action = "GetAll";
        self.Caller = "trooks";
            jQuery.ajax({
            url: "./api/ApplicationApi/",
            type: 'get',
            data: { Action: self.Action, Caller: self.Caller, Role: self.Role, PageNumber: self.PageNumber, PageSize: self.PageSize, SortColumn: self.SortColumn, SortType: self.SortType },
        }).done(function (data) {
            //self.ApplicationRolesList.removeAll();
            self.eroleid.removeAll();
            self.aroleid.removeAll();

            $.each(data, function (key, val) {
                self.eroleid.push(new appItem(val.ApplicationID, val.ApplicationName));
                self.aroleid.push(new appItem(val.ApplicationID, val.ApplicationName));
            })
        });
    };

    self.AddApplicationUser = function () {       
        //var self = this;
       
        self.Action = "Add";
        self.Caller = "trooks";
        var arr = self.multipleSelectedOptionValues();
        
        jQuery.each(arr, function (i, val) {
            jQuery.ajax({
                url: "./api/ApplicationUserApi/",
                type: 'post',
                data: ko.toJSON({ Action: self.Action, Caller: self.Caller, ApplicationID: self.selectedVal().ApplicationID, UserId: val.UserId }),
                contentType: 'application/json; charset=utf-8',
                success: function (result) {
                    $('#myModaladd').modal('hide');
                    self.GetApplicationUserByParameter();
                },
                error: function (xhr, ajaxOptions, thrownError) {
                $('#error-dis').text(thrownError);
                $('#register-error').css({ 'display': 'block' });
                $('#SearchFilter-home').css({ 'display': 'none' });
                $('#myModaladd').modal('hide');
                $(document).scrollTop(0);
            }

              
            });
            
        });
        
        $(".form")[0].reset();
    };

    self.LoadApplicationUser = function (appVal) {
        self.LoadingApplicationUser(appVal);
    };

    //Delete Application
    self.DeleteApplicationAction = function (appval) {
        self.Action = "Remove";
        self.Caller = "trooks";

        jQuery.ajax({
            url: "./api/ApplicationUserApi/",
            type: 'post', 
            data: ko.toJSON({ Action: self.Action, Caller: self.Caller, ApplicationUserID: appval.ApplicationUserID, TS: appval.TS }),
            contentType: 'application/json; charset=utf-8',
            success: function (result) {

                $('#modeldel').modal('hide');
                self.GetApplicationUserByParameter();
                //alert(result);
            },
            error: function (xhr, ajaxOptions, thrownError) {
            $('#error-dis').text(thrownError);
            $('#register-error').css({ 'display': 'block' });
            $('#SearchFilter-home').css({ 'display': 'none' });
            $('#modeldel').modal('hide');
            $(document).scrollTop(0);
        }
        });        
    };


    //Edit User Roles
    function appItem(id, name) {
        this.ApplicationID = ko.observable(id);
        this.ApplicationName = ko.observable(name);
    }
    function userItem(uid, uname) {
        this.UserId = ko.observable(uid);
        this.UserName = ko.observable(uname);
    }

    self.EditApplicationUser = function (appVal) {
        self.eroleid = ko.observableArray([new appItem(appVal.ApplicationID, "")]);
        self.euserid = ko.observableArray([new userItem(appVal.UserId, "")]);

        self.availableUser(appVal);
        self.EditingApplicationUser(appVal);
        self.availableApplication(appVal);  
        
    };
    //adding User Roles

    self.AddUsers = function (appVal2) {

        self.availableUser(appVal2);
        self.availableApplication(appVal2);
        self.AddingUsers(appVal2);
    };

    self.UpdateApplicationUser = function (appval) {       
        self.Action = "Update";
        self.Caller = "trooks";
        self.Role = "user";
        CreatedBy = ""
        self.CreatedBy = "fafafafa";

        jQuery.ajax({
            url: "./api/ApplicationUserApi/",
            data: ko.toJSON({ Action: self.Action, Caller: self.Caller, Role: self.Role, UserId: self.selectedUser, ApplicationID: appval.ApplicationID, ApplicationUserID: appval.ApplicationUserID, TS: appval.TS, CreatedBy: appval.CreatedBy, CreatedDt: appval.CreatedDt, ModifiedBy: appval.ModifiedBy, ModifiedDt: appval.ModifiedDt }),
            type: 'POST',
            contentType: 'application/json; charset=utf-8',
            success: function (result) {
                $('#myModalEdit').modal('hide');
                self.GetApplicationUserByParameter();
                //alert(result);
            },
            error: function (xhr, ajaxOptions, thrownError) {
            $('#error-dis').text(thrownError);
            $('#register-error').css({ 'display': 'block' });
            $('#SearchFilter-home').css({ 'display': 'none' });
            $('#myModalEdit').modal('hide');
            $(document).scrollTop(0);
        }
        });
    }; //End of add procedure


    //Sort Application
    self.sortRecords = ko.observableArray();

    ko.bindingHandlers.sort = {
        init: function (element, valueAccessor, allBindingsAccessor, viewModel, bindingContext) {
            var asc = false;
            element.style.cursor = 'pointer';

            element.onclick = function () {
                var value = valueAccessor();
                var prop = value.prop;
                var data = value.arr;

                asc = !asc;
                if (asc) {
                    self.ApplicationUserList.sort(function (left, right) {
                        return left[prop] == right[prop] ? 0 : left[prop] < right[prop] ? -1 : 1;
                    });
                } else {
                    self.ApplicationUserList.sort(function (left, right) {
                        return left[prop] == right[prop] ? 0 : left[prop] > right[prop] ? -1 : 1;
                    });
                }
            }
        }
    };

    //loading model popup
    ko.bindingHandlers['modal'] = {
        init: function (element, valueAccessor, allBindingsAccessor) {
            var allBindings = allBindingsAccessor();
            var $element = $(element);
            $element.addClass('hide modal');

            if (allBindings.modalOptions) {
                if (allBindings.modalOptions.beforeClose) {
                    $element.on('hide', function () {
                        return allBindings.modalOptions.beforeClose();
                    });
                }
            }

            return ko.bindingHandlers['with'].init.apply(this, arguments);
        },
        update: function (element, valueAccessor) {
            var value = ko.utils.unwrapObservable(valueAccessor());

            var returnValue = ko.bindingHandlers['with'].update.apply(this, arguments);

            if (value) {
                $(element).modal('show');
            } else {
                $(element).modal('hide');
            }

            return returnValue;
        }
    };

    //filter

    self.ApplicationUserList = ko.observableArray([]);
    self.filter = ko.observable("");

    self.filteredApplicationUser = ko.computed(function () {        
        var filterText = self.filter().toLowerCase();       
        return ko.utils.arrayFilter(self.ApplicationUserList(), function (item) {
            return filterText.length < 1 || item.ApplicationUserID == filterText || item.CreatedBy == filterText || item.ModifiedBy == filterText || item.Application.ApplicationName.toLowerCase().indexOf(filterText) != -1
        });

    }, self);
    

    self.GetApplicationUserByParameter = function () {
        //alert('GetApplicationUserByParameter');
        this.Action = "GetAll";
        this.Caller = "trooks";
        this.Role = "user";
        this.PageNumber = 1;
        this.PageSize = 10;
        this.SortColumn = "ApplicationUserID";
        this.SortType = "asc";
        
        jQuery.ajax({
            url: "./api/ApplicationUserAPI/",
            data: { Action: self.Action, Caller: self.Caller, Role: self.Role, PageNumber: self.PageNumber, PageSize: self.PageSize, SortColumn: self.SortColumn, SortType: self.SortType },
            type: 'GET',

            success: function (result) {
                self.ApplicationUserList.removeAll();
                $.each(result, function (key, val) {
                    self.ApplicationUserList.push(
                        val
                    )
                })
            },
            error: function (xhr, ajaxOptions, thrownError) {
                $('#error-dis').text(thrownError);
                $('#register-error').css({ 'display': 'block' });
                $('#SearchFilter-home').css({ 'display': 'none' });                
                $(document).scrollTop(0);
            }
       
        });
        if (loginUserRole.indexOf('user') > -1) {
            $('.add-btn').attr('disabled', 'disabled');
        }


       

    };


}; //End of view model









