/// <reference path="../Scripts/jquery-1.7.1.min.js" />
/// <reference path="../Scripts/knockout-2.1.0.js" />

jQuery(document).ready(function () {
    var MyMembershipViewModel = new MembershipViewModel();
    ko.applyBindings(MyMembershipViewModel, document.getElementById('AddMembershipNode'));
    jQuery("#NewMembershipForm").validate({
        submitHandler: function (form) {
            MyMembershipViewModel.Membership();
        },
        
				rules: {
					MembershipID: {
					required: true, 
					digits: true
					},
					ConfirmationToken: {
					},
					IsConfirmed: {
					},
					LastPasswordFailureDate: {
					date : true
					},
					PasswordFailuresSinceLastSuccess: {
					required: true, 
					digits: true
					},
					Password: {
					required: true, 
					},
					PasswordChangedDate: {
					date : true
					},
					PasswordSalt: {
					required: true, 
					},
					PasswordVerificationToken: {
					},
					PasswordVerificationTokenExpirationDate: {
					date : true
					},
					TS: {
					required: true, 
					digits: true
					},
					EmailAccount: {
					required: true, 
					},
					PasswordAnswer: {
					required: true, 
					},
					LastLoginDate: {
					required: true, 
					date : true
					},
					LastLockoutDate: {
					required: true, 
					date : true
					},
					UserId: {
					required: true, 
					digits: true
					},
					PasswordQuestionID: {
					required: true, 
					digits: true
					},
				}
            
        
        

        
    });



    

    

    
});